CallSite (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.runtime.callsite

## [Java] Interface CallSite

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `call(Object receiver, Object[] args)`
    `` | `Object` | `call(Object receiver)`
    `` | `Object` | `call(Object receiver, Object arg1)`
    `` | `Object` | `call(Object receiver, Object arg1, Object arg2)`
    `` | `Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `Object` | `callConstructor(Object receiver, Object[] args)`
    `` | `Object` | `callConstructor(Object receiver)`
    `` | `Object` | `callConstructor(Object receiver, Object arg1)`
    `` | `Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
    `` | `Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `Object` | `callCurrent(GroovyObject receiver, Object[] args)`
    `` | `Object` | `callCurrent(GroovyObject receiver)`
    `` | `Object` | `callCurrent(GroovyObject receiver, Object arg1)`
    `` | `Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
    `` | `Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
    `` | `Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `Object` | `callGetProperty(Object receiver)`
    `` | `Object` | `callGetPropertySafe(Object receiver)`
    `` | `Object` | `callGroovyObjectGetProperty(Object receiver)`
    `` | `Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
    `` | `Object` | `callSafe(Object receiver, Object[] args)`
    `` | `Object` | `callSafe(Object receiver)`
    `` | `Object` | `callSafe(Object receiver, Object arg1)`
    `` | `Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
    `` | `Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `Object` | `callStatic(Class receiver, Object[] args)`
    `` | `Object` | `callStatic(Class receiver)`
    `` | `Object` | `callStatic(Class receiver, Object arg1)`
    `` | `Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
    `` | `Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
    `` | `Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `CallSiteArray` | `getArray()`
    `` | `int` | `getIndex()`
    `` | `String` | `getName()`
    `` | `Object` | `getProperty(Object receiver)`

- - ### Method Detail

    - #### public Object call(Object receiver, Object[] args)

    - #### public Object call(Object receiver)

    - #### public Object call(Object receiver, Object arg1)

    - #### public Object call(Object receiver, Object arg1, Object arg2)

    - #### public Object call(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callConstructor(Object receiver, Object[] args)

    - #### public Object callConstructor(Object receiver)

    - #### public Object callConstructor(Object receiver, Object arg1)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callCurrent(GroovyObject receiver, Object[] args)

    - #### public Object callCurrent(GroovyObject receiver)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callGetProperty(Object receiver)

    - #### public Object callGetPropertySafe(Object receiver)

    - #### public Object callGroovyObjectGetProperty(Object receiver)

    - #### public Object callGroovyObjectGetPropertySafe(Object receiver)

    - #### public Object callSafe(Object receiver, Object[] args)

    - #### public Object callSafe(Object receiver)

    - #### public Object callSafe(Object receiver, Object arg1)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public Object callStatic(Class receiver, Object[] args)

    - #### public Object callStatic(Class receiver)

    - #### public Object callStatic(Class receiver, Object arg1)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3)

    - #### public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public CallSiteArray getArray()

    - #### public int getIndex()

    - #### public String getName()

    - #### public Object getProperty(Object receiver)